2022-08-17 08:52 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005536WHDLoad[All Projects] Generalpublic2022-05-28 20:00
ReporterExcolion 
Assigned ToWeplProject InfoHD-Installer for OS-Killer
http://whdload.de/
 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version18.7 
Target Version18.8Fixed in Version18.8beta 
Summary0005536: 7 games that give error message while trying to save a new character
DescriptionGreetings, instead of opening 7 separate tickets, I wanted to consolidate the problems of 7 games I've tested. In all these 7 games, after creating a new character and pressing the Save button at the end of the creation process, I get an error message at the bottom of the screen. I've listed the exact error messages below:

Title - Error Message
Curse Of The Azure Bonds - save write error
Champions Of Krynn - put save disk on df0:
Death Knights Of Krynn - put save disk on df0:
The Dark Queen Of Krynn - disk write error
Pool Of Radiance - error in save, check your path to save
Pools Of Darkness - disk write error
Secret Of The Silver Blades - disk write error


My setup:
Classic WB FULL, WinUAE 4.2.1 . A1200, 68020, 14 CPUSpeed ( 4x(A1200) ), 2 + 8 MB RAM, OS 3.1 , Kick 3.1 , WHDLoad 18.7 .

Some notes:
In addition to many other games, similar games like Hillsfar and EoB series do not have a saving problem, so my setup is pretty stable in this regard. I've observed that most of these 7 games create a file under their Save folders with the name of the character I tried to create, but their size is 0 KB. It looks like it is able to access the folder and create the file but somehow can't fill it. At first I tried to do it while the game files in external windows folder, then I tried again after moving them inside ClassicWB -> System -> Games folder. Got the same errors in both cases.

Is there a setting I'm missing or are the game versions simply too outdated? Looking forward to any updates. Best regards!
Steps To ReproduceEnter "Create a new character" and press Save button at the end of that process.
TagsNo tags attached.
MachineA1200
CPU68020
CPUSpeed14
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoft40 - Kick 3.1
WHDLoad18.7
Attached Files

-Relationships
related to 0005525resolvedWepl Saving doesn't work on WHDLoad 18.7 
+Relationships

-Notes

note ~0011021

Excolion (reporter)

I tried another 2 games similar to these, and they also threw save error at the same place: Treasures Of The Savage Frontier and Gateway To The Savage Frontier. That means a total of 9 games are having this problem :(
I'm writing WHDLOAD links below for convenience:
Curse Of The Azure Bonds (SSI): http://whdload.de/games/CurseOfTheAzureBonds.html
Champions Of Krynn (TSR/SSI): http://whdload.de/games/ChampionsOfKrynn.html
Death Knights Of Krynn (SSI): http://whdload.de/games/DeathKnightsOfKrynn.html
The Dark Queen Of Krynn (SSI): http://whdload.de/games/DarkQueenOfKrynn.html
Pool Of Radiance (SSI): http://whdload.de/games/PoolOfRadiance.html
Pools Of Darkness (SSI): http://whdload.de/games/PoolsOfDarkness.html
Secret Of The Silver Blades (SSI): http://whdload.de/games/SecretOfTheSilverBlades.html
Treasures Of The Savage Frontier (SSI): http://whdload.de/games/TreasuresSavageFrontier.html
Gateway To The Savage Frontier (SSI): http://whdload.de/games/GatewaySavageFrontier.html

Any suggestions are appreciated.

note ~0011027

Velociraptor5 (reporter)

All the games (installs) are OK. WHDLoad 18.7 destroyed them. The games (saving) work correctly with WHDLoad 18.6. That means WHDLoad problem, not game problem.
Probably the same problem is also game "TheClue" ID 0005525
http://mantis.whdload.de/view.php?id=5525

note ~0011028

Excolion (reporter)

Once again, thanks for your valuable input Velociraptor5. In your opinion, which is safer: Downgrade to WHDLOAD 18.6 or wait for a (possible) update to WHDLOAD?
I would not want to break something else by downgrading, but if the permanent fix would take a long time then downgrading seems more alluring :)
I checked 18.7 changelog, some of the entries give the vibe of importance but I can't be sure.

note ~0011029

aardvark82 (reporter)

Just replace the WHDLoad file in C: with 18.6. it's not going to break anything.

note ~0011030

Velociraptor5 (reporter)

@Excolion
Hard to say. As aardvark82 said, if you want to test something, you can temporarily replace WHDLoad file (18.7) in "C" folder with WHDLoad file (18.6) without fear.
But don't worry, I think, comrade Wepl could repair it as soon as (im)possible, because this is fatal bug that makes lot of games unusable.

note ~0011215

administrator (administrator)

The problems should be fixed with the latest beta http://whdload.de/whdload/whd188.lha. Please try.

note ~0011217

Excolion (reporter)

I tried all the 9 games one by one and they successfully create characters and save them now. Good job!
+Notes

-Issue History
Date Modified Username Field Change
2022-03-17 19:54 Excolion New Issue
2022-03-18 07:13 Excolion Note Added: 0011021
2022-03-19 02:06 Velociraptor5 Note Added: 0011027
2022-03-19 09:17 Excolion Note Added: 0011028
2022-03-19 16:46 aardvark82 Note Added: 0011029
2022-03-20 01:53 Velociraptor5 Note Added: 0011030
2022-03-20 22:21 Wepl Project WHDLoad Installs Games => WHDLoad
2022-03-20 22:21 Wepl Assigned To => Wepl
2022-03-20 22:21 Wepl Status new => assigned
2022-03-20 22:22 Wepl Relationship added related to 0005525
2022-04-26 01:09 administrator Note Added: 0011215
2022-04-26 01:10 administrator Status assigned => resolved
2022-04-26 01:10 administrator Resolution open => fixed
2022-04-26 01:10 administrator Product Version => 18.7
2022-04-26 01:10 administrator Fixed in Version => 18.8beta
2022-04-26 09:52 Excolion Note Added: 0011217
2022-05-28 20:00 Wepl Target Version => 18.8
+Issue History